import { pickUpLogisticsList } from '@/api/pickUp'
const LogisticsCompany = {
  template: `
       <a-input-group compact :id="id">
        <a-input style="width: 70%" allowClear @change="handleChange" :placeholder="placeholder" :value="defaultVal"/>
        <a-select
          style="width: 30%"
          @change="changeSel"
          placeholder="选择物流公司"
          option-filter-prop="children"
          :filter-option="filterOption">
          <a-select-option v-for="item in list" :key="item.id" :value="item.logisticsCompany">
          {{ item.logisticsCompany }}
          </a-select-option>
        </a-select>
      </a-input-group>
    `,
  props: {
    value: {
      type: String,
      defatut: ''
    },
    id: {
      type: String,
      default: ''
    },
    placeholder: {
      type: String,
      default: '请输入物流公司'
    },
  },
  data() {
    return {
      defaultVal: this.value,
      list: []
    };
  },
  mounted() {
    this.getList()
  },
  watch: {
    value(newValue, oldValue) {
      this.defaultVal = newValue
    },
  },
  methods: {
    filterOption (input, option) {
      return (
        option.componentOptions.children[0].text.toLowerCase().indexOf(input.toLowerCase()) >= 0
      )
    },
    changeSel(value){
      this.defaultVal = value;
      this.$emit('change', value);
      this.$emit('input', value);
    },
    handleChange(e) {
      const value = e.target.value
      this.defaultVal = value;
      this.$emit('change', value);
      this.$emit('input', value);
    },
    getList () {
      pickUpLogisticsList({}).then(res => {
        if (res.status == 200) {
          this.list = res.data
        } else {
          this.list = []
        }
      })
    },
    getPoint(v){
      const row = this.list.find(item => item.logisticsCompany == v)
      return row ? row.logisticsPointList : []
    }
  },
};

export default LogisticsCompany